#
# spec file for package gwenhywfar
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gwenhywfar
Version:        4.3.3
Release:        0
Summary:        Multiplatform Helper Library for Other Libraries
License:        GPL-2.0+ ; LGPL-2.1+
Group:          System/Libraries
Url:            http://www.aqbanking.de/
Source:         %{name}-%{version}.tar.gz
#Source:        http://www.aquamaniac.de/sites/download/download.php?package=01&release=67&file=01&dummy=gwenhywfar-4.3.3.tar.gz
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  gnutls-devel
BuildRequires:  gtk2-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  libopenssl-devel
BuildRequires:  libqt4-devel
# For doc graphs
BuildRequires:  graphviz
BuildRequires:  graphviz-gd
BuildRequires:  xorg-x11-fonts
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Gwenhywfar is a base library used to provide OS abstraction functions
for Linux, FreeBSD, OpenBSD, NetBSD, and Windows. It also includes some
often needed functions (for example, handling and parsing of
configuration files, reading and writingof XML files, and interprocess
communication).

%package tools
Summary:        Multiplatform Helper Library for Other Libraries - Tools
License:        GPL-2.0+ ; LGPL-2.1+
Group:          System/Libraries
Requires:       libgwenhywfar60 = %{version}

%description tools
Gwenhywfar is a base library used to provide OS abstraction functions
for Linux, FreeBSD, OpenBSD, NetBSD, and Windows. It also includes
some often needed functions (for example, for handling and parsing of
configuration files, reading and writing of XML files, and interprocess
communication).

%package -n libgwenhywfar60-plugins
Summary:        Multiplatform Helper Library for Other Libraries - Plugins
License:        LGPL-2.1+
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n libgwenhywfar60-plugins
Gwenhywfar is a base library used to provide OS abstraction functions
for Linux, FreeBSD, OpenBSD, NetBSD, and Windows. It also includes
some often needed functions (for example, for handling and parsing of
configuration files, reading and writing of XML files, and interprocess
communication).

%package -n libgwenhywfar60
Summary:        Multiplatform Helper Library for Other Libraries
License:        LGPL-2.1+
Group:          System/Libraries
Requires:       %{name}-lang = %{version}
# Needed to make lang package installable
Provides:       %{name} = %{version}
Recommends:     libgwenhywfar60-plugins = %{version}

%description -n libgwenhywfar60
Gwenhywfar is a base library used to provide OS abstraction functions
for Linux, FreeBSD, OpenBSD, NetBSD, and Windows. It also includes
some often needed functions (for example, for handling and parsing of
configuration files, reading and writing of XML files, and interprocess
communication).

%package -n libgwengui-gtk2-0
Summary:        Multiplatform Helper Library for Other Libraries -- GTK+ UI Backend
License:        LGPL-2.1+
Group:          System/Libraries

%description -n libgwengui-gtk2-0
Gwenhywfar is a base library used to provide OS abstraction functions
for Linux, FreeBSD, OpenBSD, NetBSD, and Windows. It also includes
some often needed functions (for example, for handling and parsing of
configuration files, reading and writing of XML files, and interprocess
communication).

This package provides the GTK+ implementation of the generic UI toolkit.

%package -n libgwengui-qt4-0
Summary:        Multiplatform Helper Library for Other Libraries -- Qt UI Backend
License:        LGPL-2.1+
Group:          System/Libraries

%description -n libgwengui-qt4-0
Gwenhywfar is a base library used to provide OS abstraction functions
for Linux, FreeBSD, OpenBSD, NetBSD, and Windows. It also includes
some often needed functions (for example, for handling and parsing of
configuration files, reading and writing of XML files, and interprocess
communication).

This package provides the Qt implementation of the generic UI toolkit.

%package devel
Summary:        Multi-Platform Helper Library for Other Libraries
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       libgwengui-gtk2-0 = %{version}
Requires:       libgwengui-qt4-0 = %{version}
Requires:       libgwenhywfar60 = %{version}

%description devel
Gwenhywfar is a base library used to provide OS abstraction functions
for Linux, FreeBSD, OpenBSD, NetBSD, and Windows. It also includes
some often needed functions (e.g. for handling and parsing of
configuration files, reading/writing of XML files, interprocess
communication etc).

%lang_package
%prep
%setup -q

%build
%configure\
	--enable-release\
	--enable-full-doc\
	--with-docpath=%{_datadir}/%{name}/apidoc\
	--with-openssl-libs=%{_libdir} \
        --with-qt4-libs=%{_libdir} \
	--disable-static \
	--with-pic
%__make %{?smp_mflags}
%__make srcdoc %{?smp_mflags}

%install
%makeinstall
%makeinstall install-srcdoc
pushd %{buildroot}%{_datadir}/%{name}/apidoc
    # we don't want another 'gwenhywfar' dir below docpath
    %__mv %{name}/* ./
    rm -rf %{name}
    # remove empty files
    `find -maxdepth 1 -type f -empty -print0 | xargs -0 echo %__rm -f`
popd
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name}
%fdupes %{buildroot}%{_datadir}/%{name}/apidoc

%clean
rm -rf %{buildroot}

%post -n libgwenhywfar60 -p /sbin/ldconfig

%postun -n libgwenhywfar60 -p /sbin/ldconfig

%post -n libgwengui-gtk2-0 -p /sbin/ldconfig

%postun -n libgwengui-gtk2-0 -p /sbin/ldconfig

%post -n libgwengui-qt4-0 -p /sbin/ldconfig

%postun -n libgwengui-qt4-0 -p /sbin/ldconfig

%files tools
%defattr (-, root, root)
%{_bindir}/gct-tool
%{_bindir}/gsa
%{_bindir}/mklistdoc
%{_bindir}/typemaker
%{_bindir}/typemaker2
%{_bindir}/xmlmerge
%{_datadir}/gwenhywfar/typemaker2/

%files -n libgwenhywfar60-plugins
%defattr (-, root, root)
%{_libdir}/gwenhywfar/plugins/60/*

%files -n libgwenhywfar60
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/libgwenhywfar.so.*
%dir %{_datadir}/gwenhywfar/
%{_datadir}/gwenhywfar/ca-bundle.crt
%{_datadir}/gwenhywfar/dialogs/
%dir %{_libdir}/gwenhywfar
%dir %{_libdir}/gwenhywfar/plugins
%dir %{_libdir}/gwenhywfar/plugins/60

%files -n libgwengui-gtk2-0
%defattr (-, root, root)
%{_libdir}/libgwengui-gtk2.so.*

%files -n libgwengui-qt4-0
%defattr (-, root, root)
%{_libdir}/libgwengui-qt4.so.*

%files devel
%defattr (-, root, root)
%{_bindir}/gwenhywfar-config
%dir %{_datadir}/aclocal
%{_datadir}/aclocal/gwenhywfar.m4
%doc %{_datadir}/gwenhywfar/apidoc/
%{_includedir}/gwenhywfar4/
%{_libdir}/*.so
%{_libdir}/pkgconfig/gwenhywfar.pc
%{_libdir}/pkgconfig/gwengui-gtk2.pc
%{_libdir}/pkgconfig/gwengui-qt4.pc

%files lang -f %{name}.lang

%changelog
